# $Revision: 1.19 $, $Date: 2006/05/21 21:52:13 $
Summary:	UPS monitoring program for MGE Pulsar UPSes
Summary(pl):	Program do monitorowania UPS-w MGE Pulsar
Name:		pulsard
Version:	1.0.1
Release:	3
License:	GPL
Group:		Daemons
Source0:	http://dl.sourceforge.net/pulsard/%{name}-%{version}.tar.gz
# Source0-md5:	4fb74308f9b4c571fb818d349bed5d5c
Source1:	%{name}.init
Source2:	%{name}.sysconfig
Patch0:		%{name}-newinit.patch
URL:		http://pulsard.sourceforge.net/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	libgpio-devel >= 0.0.2
BuildRequires:	rpmbuild(macros) >= 1.268
Requires(post,preun):	/sbin/chkconfig
Requires:	rc-scripts
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Pulsard is a monitoring software for MGE Pulsar UPSes.

%description -l pl
Pulsard to program monitorujcy dla UPS-w MGE Pulsar.

%prep
%setup -q
%patch0 -p1

%build
%{__aclocal}
%{__autoconf}
%{__automake}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{/etc/rc.d/init.d,/etc/sysconfig}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install %{SOURCE1} $RPM_BUILD_ROOT/etc/rc.d/init.d/%{name}
install %{SOURCE2} $RPM_BUILD_ROOT/etc/sysconfig/%{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/chkconfig --add %{name}
%service %{name} restart "pulsard ups daemon"

%preun
if [ "$1" = "0" ]; then
	%service %{name} stop
	/sbin/chkconfig --del %{name}
fi

%files
%defattr(644,root,root,755)
%doc AUTHORS Protocol README
%attr(755,root,root) %{_sbindir}/*
%attr(754,root,root) /etc/rc.d/init.d/%{name}
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) /etc/sysconfig/*
%{_mandir}/man?/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: pulsard.spec,v $
Revision 1.19  2006/05/21 21:52:13  glen
- rel 3

Revision 1.18  2006/03/12 22:56:28  glen
- use %service, adapterized

Revision 1.17  2005/12/13 14:37:24  glen
- adapterized (sorted %verify flags)

Revision 1.16  2004/04/07 21:12:03  qboosh
- cleanup

Revision 1.15  2003/11/11 01:33:23  ankry
- caps unification, other cosmetics

Revision 1.14  2003/08/08 15:04:39  qboosh
- more specific Requires

Revision 1.13  2003/06/27 12:42:58  misi3k
- std sf url

Revision 1.12  2003/05/28 13:01:26  malekith
- massive attack: source-md5

Revision 1.11  2003/05/25 06:25:54  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.10  2002/12/07 14:33:45  ankry
- fix improper usage of %{_sysconfdir}

Revision 1.9  2002/11/29 22:46:07  ankry
- massive attack: new %doc

Revision 1.8  2002/10/09 13:14:45  kloczek
- use more macros, some cosmetics, added missing "rm -f missing" and use new %doc

Revision 1.7  2002/05/21 23:14:34  kloczek
- perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
     s/^autoconf/\%\{__autoconf\}/"

Revision 1.6  2002/03/24 23:28:23  kloczek
- perl -pi -e "s/^automake -a -c$/automake -a -c -f/"

Revision 1.5  2002/02/22 23:29:38  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.4  2002/01/18 02:14:43  kloczek
- perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.3  2001/09/25 12:31:36  qboosh
- release 2: Prereq: /sbin/chkconfig

Revision 1.2  2001/08/15 21:02:23  kloczek
- fixed Source url,
- removed using some %{__*} macros.

Revision 1.1  2001/08/15 20:47:56  misiek
- initial pld release; software for MGE UPSes
